Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management
Class SecurityMgmtHelper

    java.lang.Object
      com.bea.p13n.security.management.SecurityMgmtHelper

    public class SecurityMgmtHelper

extends Object

Provides helper methods for accessing security management classes, especially those used to manage SSPI providers.

Constructor Summary
`SecurityMgmtHelper()`

Method Summary
`static AuthorizerDescription` | `findAuthorizationProviderByName(String aDisplayName)` Returns the configured SSPI authorizer with a matching display name.
`static AuthorizerDescription` | `findAuthorizationProviderByUniqueName(String aUniqueId)` Returns the configured SSPI authorization provider with a matching unique id which is the concatenation of display name and version number.
`static RoleProviderDescription` | `findRoleProviderByName(String aDisplayName)` Returns the configured SSPI authentication provider with a matching display name.
`static RoleProviderDescription` | `findRoleProviderByUniqueName(String aUniqueId)` Returns the configured SSPI authentication provider with a matching unique id which is the concatenation of display name and version number.
`static List<AuthorizerDescription>` | `getAuthorizationProviders()` Returns the list of currently configured SSPI Authorization providers
`static AuthorizerDescription` | `getDefaultAuthorizationProvider()` Finds and returns an AuthorizerDescription based on the first instance of a deployed AuthorizerMBean (or the first AuthorizerMBean, if none was found.)
`static RoleProviderDescription` | `getDefaultRoleProvider()` Returns the default configured SSPI authentication provider.
`static String` | `getProviderUniqueName(String aDisplayName, String aVersion)` Returns unique id of the provider which is the concatenation of display name and version number.
`static List<RoleProviderDescription>` | `getRoleProviders()` Returns the list of currently configured SSPI role providers.
`static boolean` | `isMultiAuthorizersMode()` Returns an indication of whether multiple authorization providers have been configured.
`static boolean` | `isMultiRoleProviderMode()` Returns an indication of whether multiple authentication providers have been configured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityMgmtHelper

    public SecurityMgmtHelper()

Method Detail

### getRoleProviders

    public static List<RoleProviderDescription> getRoleProviders()
                                                          throws ProviderMgmtException

  Returns the list of currently configured SSPI role providers.

  Returns
    List of RoleProviderDescription objects
  Throws
    `ProviderMgmtException`

### getDefaultRoleProvider

    public static RoleProviderDescription getDefaultRoleProvider()
                                                          throws ProviderMgmtException

  Returns the default configured SSPI authentication provider.

  Returns
    default AtnProviderDescription
  Throws
    `ProviderMgmtException`

### findRoleProviderByName

    public static RoleProviderDescription findRoleProviderByName(String aDisplayName)
                                                          throws ProviderMgmtException

  Returns the configured SSPI authentication provider with a matching display name.

  Parameters
    `aDisplayName` - The name entered at the WLS console when creating a new authentication provider.
  Returns
    AtnProviderDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### findRoleProviderByUniqueName

    public static RoleProviderDescription findRoleProviderByUniqueName(String aUniqueId)
                                                                throws ProviderMgmtException

  Returns the configured SSPI authentication provider with a matching unique id which is the concatenation of display name and version number.

  Parameters
    `aUniqueId` - Concatenation of display name and version number
  Returns
    AtnProviderDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### getProviderUniqueName

    public static String getProviderUniqueName(String aDisplayName,
                                               String aVersion)

  Returns unique id of the provider which is the concatenation of display name and version number.

  Parameters
    `aDisplayName` - The provider name
    `aVersion` - The provider version
  Returns
    unique id

### isMultiRoleProviderMode

    public static boolean isMultiRoleProviderMode()

  Returns an indication of whether multiple authentication providers have been configured.

  Returns
    True if more than one authentication provider is found, else false

### getAuthorizationProviders

    public static List<AuthorizerDescription> getAuthorizationProviders()
                                                                 throws ProviderMgmtException

  Returns the list of currently configured SSPI Authorization providers

  Returns
    List of AuthorizerDescription objects
  Throws
    `ProviderMgmtException`

### getDefaultAuthorizationProvider

    public static AuthorizerDescription getDefaultAuthorizationProvider()
                                                                 throws ProviderMgmtException

  Finds and returns an AuthorizerDescription based on the first instance of a deployed AuthorizerMBean (or the first AuthorizerMBean, if none was found.)

  Returns
    default AuthorizerDescription
  Throws
    `ProviderMgmtException`

### findAuthorizationProviderByName

    public static AuthorizerDescription findAuthorizationProviderByName(String aDisplayName)
                                                                 throws ProviderMgmtException

  Returns the configured SSPI authorizer with a matching display name.

  Parameters
    `aDisplayName` - The name entered at the WLS console when creating a new authorization provider.
  Returns
    AuthorizerDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### findAuthorizationProviderByUniqueName

    public static AuthorizerDescription findAuthorizationProviderByUniqueName(String aUniqueId)
                                                                       throws ProviderMgmtException

  Returns the configured SSPI authorization provider with a matching unique id which is the concatenation of display name and version number.

  Parameters
    `aUniqueId` - Concatenation of display name and version number
  Returns
    AuthorizerDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### isMultiAuthorizersMode

    public static boolean isMultiAuthorizersMode()

  Returns an indication of whether multiple authorization providers have been configured.

  Returns
    True if more than one authorization provider is found, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.